Bug 159469

Summary: [Coordinated Graphics] Remove toCoordinatedGraphicsLayer and use downcast instead
Product: WebKit Reporter: Carlos Garcia Campos <cgarcia>
Component: PlatformAssignee: Nobody <webkit-unassigned>
Status: RESOLVED FIXED    
Severity: Normal CC: yoon, zan
Priority: P2    
Version: WebKit Local Build   
Hardware: Unspecified   
OS: Unspecified   
Attachments:
Description Flags
Patch
none
Try to fix EFL build mcatanzaro: review+

Description Carlos Garcia Campos 2016-07-06 09:16:46 PDT
ssia
Comment 1 Carlos Garcia Campos 2016-07-06 09:18:58 PDT
Created attachment 282901 [details]
Patch

We should also rename CoordinatedGraphicsLayer as GraphicsLayerCoordinated for consistency will all other GraphicsLayer implementations. Or is there any reason why this is named this way?
Comment 2 Carlos Garcia Campos 2016-07-06 23:10:32 PDT
Created attachment 282992 [details]
Try to fix EFL build
Comment 3 Michael Catanzaro 2016-07-10 13:48:51 PDT
Comment on attachment 282992 [details]
Try to fix EFL build

View in context: https://bugs.webkit.org/attachment.cgi?id=282992&action=review

> Source/WebCore/page/scrolling/coordinatedgraphics/ScrollingCoordinatorCoordinatedGraphics.cpp:66
> +        downcast<CoordinatedGraphicsLayer>(*static_cast<GraphicsLayer*>(node->layer())).setFixedToViewport(false);

Why do you need this static_cast?
Comment 4 Carlos Garcia Campos 2016-07-13 03:59:47 PDT
(In reply to comment #3)
> Comment on attachment 282992 [details]
> Try to fix EFL build
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=282992&action=review
> 
> > Source/WebCore/page/scrolling/coordinatedgraphics/ScrollingCoordinatorCoordinatedGraphics.cpp:66
> > +        downcast<CoordinatedGraphicsLayer>(*static_cast<GraphicsLayer*>(node->layer())).setFixedToViewport(false);
> 
> Why do you need this static_cast?

To disambiguate the * operator of ScrollingStateNode
Comment 5 Carlos Garcia Campos 2016-07-13 04:01:39 PDT
Committed r203157: <http://trac.webkit.org/changeset/203157>